/* --- COLORES --- */
:root {
    --gris: #3A3B3C;
    --blanco: #f2f2f2;
}

/* --- ESTILOS BASE --- */
* {
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
}

body {
    background-color: #181d22;
}

/* --- MENU PRINCIPAL --- */
.menu {
    background: transparent;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1002;
}

.envoltorio {
    align-items: center;
    display: flex;
    height: 70px;
    justify-content: space-between;
    margin: auto;
    max-width: 1300px;
    padding: 0 30px;
    position: relative;
}

.envoltorio .logo a {
    color: var(--blanco);
    font-size: 2rem;
    font-weight: 600;
    text-decoration: none;
    -webkit-text-stroke: 0.5px var(--gris)
}

.envoltorio .menu_lista {
    display: inline-flex;
}

.menu_lista li {
    list-style: none;
}

.menu_lista li a {
    border-radius: 5px;
    color: var(--blanco);
    font-size: 1.3rem;
    font-weight: 500;
    padding: 9px 15px;
    text-decoration: none;
    transition: all 0.3s ease;
    -webkit-text-stroke: 0.2px var(--gris)
}

.menu_lista li a:hover {
    background: var(--gris);
}

#menu_checkbox {
    display: none;
}

/* --- ICONO HAMBURGUESA --- */
.menu_hamburguesa {
    align-items: center;
    cursor: pointer;
    display: none;
    flex-direction: column;
    height: 40px;
    justify-content: center;
    position: relative;
    width: 40px;
    z-index: 1001;
}

.linea {
    background-color: var(--blanco);
    border: 0.1px solid var(--gris);
    border-radius: 2px;
    height: 5px;
    position: absolute;
    transition: transform 0.4s ease, opacity 0.4s ease;
    width: 30px;
}

.linea1 {
    transform: translateY(-10px);
}

.linea2 {
    transform: translateY(0);
}

.linea3 {
    transform: translateY(10px);
}

#menu_checkbox:checked+.menu_hamburguesa .linea1 {
    transform: rotate(45deg);
}

#menu_checkbox:checked+.menu_hamburguesa .linea2 {
    opacity: 0;
}

#menu_checkbox:checked+.menu_hamburguesa .linea3 {
    transform: rotate(-45deg);
}

/* --- RESPONSIVO PARA MÓVILES --- */
@media screen and (max-width: 970px) {

    .menu_hamburguesa {
        display: flex;
    }

    .envoltorio .menu_lista {
        background: #181d22;
        display: block;
        height: 100vh;
        left: -100%;
        line-height: 50px;
        max-width: 100%;
        overflow-y: auto;
        padding: 50px 10px;
        position: fixed;
        top: 0;
        transition: left 0.3s ease;
        width: 100%;
    }

    /* control scroll bar */
    ::-webkit-scrollbar {
        width: 10px;
    }

    ::-webkit-scrollbar-track {
        background: var(--menu);
    }

    ::-webkit-scrollbar-thumb {
        background: var(--gris);
    }

    #menu_checkbox:checked~.menu_lista {
        left: 0;
    }

    .menu_lista li {
        margin: 15px 10px;
    }

    .menu_lista li a {
        display: block;
        font-size: 20px;
        padding: 0 20px;
    }

}